# Class ContentDeltaEventData

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents data for a content_block_delta event.

    public class ContentDeltaEventData : EventData

Inheritance
  object
  EventData
  ContentDeltaEventData

Inherited Members
  EventData.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ContentDeltaEventData(int, ContentDelta)

Initializes a new instance of the ContentDeltaEventData class.

    public ContentDeltaEventData(int index, ContentDelta delta)

#### Parameters

`index` int

  The index of the content block.

`delta` ContentDelta

  The content delta.

## Properties

### Delta

Gets the content delta.

    public ContentDelta Delta { get; init; }

#### Property Value

ContentDelta

### Index

Gets the index of the content block.

    public int Index { get; init; }

#### Property Value

int